Bug 188041 - Riva128 no longer can be configured
Riva128 no longer can be configured
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-05 11:45 EDT by David A. De Graaf
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-29 21:07:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David A. De Graaf 2006-04-05 11:45:18 EDT
Description of problem:
system-config-display can no longer configure my video card or start X


Version-Release number of selected component (if applicable):
system-config-display-1.0.37-2

How reproducible:
Failed during FC5 new installation and twice more afterward.


Steps to Reproduce:
1. Run it from console to try to configure X for first time - with no xorg.conf
2.
3.
  
Actual results:
# system-config-display
xconf.py: Fatal IO error 104 (Connection reset by peer) on X server :17.0.
[root@datant ~]
# Window manager error: Unable to open X display :17.0



Expected results:
A working xorg.conf and working X.


Additional info:
1)  It used to work.
2)  If I retrieve xorg.conf from FC4 backup, X starts perfectly.
3)  The video card is reported by lspci thusly:
  00:11.0 VGA compatible controller: NVidia / SGS Thomson (Joint Venture)
Riva128 (rev 10)
4)  The old, working xorg.conf file contains:
Section "Device"
        Identifier  "Videocard0"
        Driver      "nv"
        VendorName  "Videocard vendor"
        BoardName   "RIVA128"
EndSection
Comment 1 Adam Jackson 2007-03-26 17:46:17 EDT
Actually an nv driver bug, in that it can't do 16bpp, but only 15 or 24.
Comment 2 Matěj Cepl 2007-08-17 10:58:54 EDT
Reporter, I am sorry, that we have left this bug unnoticed for so long, but
could you confirm please, that this bug still could be reproduced with the
latest updates?
Comment 3 David A. De Graaf 2007-08-23 15:06:42 EDT
I am happy to report that the bug is dead with F7 and kernel 2.6.21-1.3228.fc7.
I set aside the working /etc/X11/xorg.conf file and then, as root, ran
system-config-display.  It worked perfectly and created a new xorg.conf file.

This is on a very old, very slow 200 MHz Pentium that I rarely use for anything.

Now, if you could only speed up the machine...     :-)

Thanks for the fix.
Comment 4 Adam Jackson 2007-10-29 21:07:20 EDT
Cool!  Marking WORKSFORME.

Note You need to log in before you can comment on or make changes to this bug.